"{ Encoding: utf8 }"

"
 COPYRIGHT (c) 2019 by eXept Software AG
              All Rights Reserved

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.
"
"{ Package: 'stx:libbasic' }"

"{ NameSpace: CharacterEncoderImplementations }"

SingleByteEncoder subclass:#CP850
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'Collections-Text-Encodings'
!

!CP850 class methodsFor:'documentation'!

copyright
"
 COPYRIGHT (c) 2019 by eXept Software AG
              All Rights Reserved

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.
"
!

documentation
"
    CodePage 850 /  Western Europe
    Used by cmd.exe.

    [see with:]
        CharacterEncoderImplementations::CP850 showCharacterSet

    [author:]
        Claus Gittinger
"
! !

!CP850 class methodsFor:'encoding & decoding'!

mapFileURL2_relativePathName
    ^ 'CP850'

    "
     self generateCode
    "
! !

!CP850 methodsFor:'encoding & decoding'!

decode:codeArg
    "Automagically generated by generateCode - do not modify.
     Decode from my encoding into unicode."

    |code "{ Class: SmallInteger }"|

    code := codeArg.
    code <= 16r7F ifTrue:[ ^ code ].
    code > 16rFF ifTrue:[
        ^ self decodingError.
    ].
    ^ #(
       "16r0080"    16r00C7 " LATIN CAPITAL LETTER C WITH CEDILLA " 
       "16r0081"    16r00FC " LATIN SMALL LETTER U WITH DIAERESIS " 
       "16r0082"    16r00E9 " LATIN SMALL LETTER E WITH ACUTE " 
       "16r0083"    16r00E2 " LATIN SMALL LETTER A WITH CIRCUMFLEX " 
       "16r0084"    16r00E4 " LATIN SMALL LETTER A WITH DIAERESIS " 
       "16r0085"    16r00E0 " LATIN SMALL LETTER A WITH GRAVE " 
       "16r0086"    16r00E5 " LATIN SMALL LETTER A WITH RING ABOVE " 
       "16r0087"    16r00E7 " LATIN SMALL LETTER C WITH CEDILLA " 
       "16r0088"    16r00EA " LATIN SMALL LETTER E WITH CIRCUMFLEX " 
       "16r0089"    16r00EB " LATIN SMALL LETTER E WITH DIAERESIS " 
       "16r008A"    16r00E8 " LATIN SMALL LETTER E WITH GRAVE " 
       "16r008B"    16r00EF " LATIN SMALL LETTER I WITH DIAERESIS " 
       "16r008C"    16r00EE " LATIN SMALL LETTER I WITH CIRCUMFLEX " 
       "16r008D"    16r00EC " LATIN SMALL LETTER I WITH GRAVE " 
       "16r008E"    16r00C4 " LATIN CAPITAL LETTER A WITH DIAERESIS " 
       "16r008F"    16r00C5 " LATIN CAPITAL LETTER A WITH RING ABOVE " 

       "16r0090"    16r00C9 " LATIN CAPITAL LETTER E WITH ACUTE " 
       "16r0091"    16r00E6 " LATIN SMALL LETTER AE " 
       "16r0092"    16r00C6 " LATIN CAPITAL LETTER AE " 
       "16r0093"    16r00F4 " LATIN SMALL LETTER O WITH CIRCUMFLEX " 
       "16r0094"    16r00F6 " LATIN SMALL LETTER O WITH DIAERESIS " 
       "16r0095"    16r00F2 " LATIN SMALL LETTER O WITH GRAVE " 
       "16r0096"    16r00FB " LATIN SMALL LETTER U WITH CIRCUMFLEX " 
       "16r0097"    16r00F9 " LATIN SMALL LETTER U WITH GRAVE " 
       "16r0098"    16r00FF " LATIN SMALL LETTER Y WITH DIAERESIS " 
       "16r0099"    16r00D6 " LATIN CAPITAL LETTER O WITH DIAERESIS " 
       "16r009A"    16r00DC " LATIN CAPITAL LETTER U WITH DIAERESIS " 
       "16r009B"    16r00F8   
       "16r009C"    16r00A3 " POUND SIGN " 
       "16r009D"    16r00D8 
       "16r009E"    16r00D7 
       "16r009F"    16r0192 " LATIN SMALL LETTER F WITH HOOK " 

       "16r00A0"    16r00E1 " LATIN SMALL LETTER A WITH ACUTE " 
       "16r00A1"    16r00ED " LATIN SMALL LETTER I WITH ACUTE " 
       "16r00A2"    16r00F3 " LATIN SMALL LETTER O WITH ACUTE " 
       "16r00A3"    16r00FA " LATIN SMALL LETTER U WITH ACUTE " 
       "16r00A4"    16r00F1 " LATIN SMALL LETTER N WITH TILDE " 
       "16r00A5"    16r00D1 " LATIN CAPITAL LETTER N WITH TILDE " 
       "16r00A6"    16r00AA " FEMININE ORDINAL INDICATOR " 
       "16r00A7"    16r00BA " MASCULINE ORDINAL INDICATOR " 
       "16r00A8"    16r00BF " INVERTED QUESTION MARK " 
       "16r00A9"    16r00AE 
       "16r00AA"    16r00AC " NOT SIGN " 
       "16r00AB"    16r00BD " VULGAR FRACTION ONE HALF " 
       "16r00AC"    16r00BC " VULGAR FRACTION ONE QUARTER " 
       "16r00AD"    16r00A1 " INVERTED EXCLAMATION MARK " 
       "16r00AE"    16r00AB " LEFT-POINTING DOUBLE ANGLE QUOTATION MARK " 
       "16r00AF"    16r00BB " RIGHT-POINTING DOUBLE ANGLE QUOTATION MARK "

       "16r00B0"    16r2591 " LIGHT SHADE " 
       "16r00B1"    16r2592 " MEDIUM SHADE " 
       "16r00B2"    16r2593 " DARK SHADE " 
       "16r00B3"    16r2502 " BOX DRAWINGS LIGHT VERTICAL " 
       "16r00B4"    16r2524 " BOX DRAWINGS LIGHT VERTICAL AND LEFT " 
       "16r00B5"    16r00C1 
       "16r00B6"    16r00C2 
       "16r00B7"    16r00C0
       "16r00B8"    16r00A9 
       "16r00B9"    16r2563 " BOX DRAWINGS DOUBLE VERTICAL AND LEFT " 
       "16r00BA"    16r2551 " BOX DRAWINGS DOUBLE VERTICAL " 
       "16r00BB"    16r2557 " BOX DRAWINGS DOUBLE DOWN AND LEFT " 
       "16r00BC"    16r255D " BOX DRAWINGS DOUBLE UP AND LEFT " 
       "16r00BD"    16r00A2 
       "16r00BE"    16r00A5 
       "16r00BF"    16r2510 " BOX DRAWINGS LIGHT DOWN AND LEFT "

       "16r00C0"    16r2514 " BOX DRAWINGS LIGHT UP AND RIGHT " 
       "16r00C1"    16r2534 " BOX DRAWINGS LIGHT UP AND HORIZONTAL " 
       "16r00C2"    16r252C " BOX DRAWINGS LIGHT DOWN AND HORIZONTAL " 
       "16r00C3"    16r251C " BOX DRAWINGS LIGHT VERTICAL AND RIGHT " 
       "16r00C4"    16r2500 " BOX DRAWINGS LIGHT HORIZONTAL " 
       "16r00C5"    16r253C " BOX DRAWINGS LIGHT VERTICAL AND HORIZONTAL " 
       "16r00C6"    16r00E3 
       "16r00C7"    16r00C3
       "16r00C8"    16r255A " BOX DRAWINGS DOUBLE UP AND RIGHT " 
       "16r00C9"    16r2554 " BOX DRAWINGS DOUBLE DOWN AND RIGHT " 
       "16r00CA"    16r2569 " BOX DRAWINGS DOUBLE UP AND HORIZONTAL " 
       "16r00CB"    16r2566 " BOX DRAWINGS DOUBLE DOWN AND HORIZONTAL " 
       "16r00CC"    16r2560 " BOX DRAWINGS DOUBLE VERTICAL AND RIGHT " 
       "16r00CD"    16r2550 " BOX DRAWINGS DOUBLE HORIZONTAL " 
       "16r00CE"    16r256C " BOX DRAWINGS DOUBLE VERTICAL AND HORIZONTAL " 
       "16r00CF"    16r00A4 

       "16r00D0"    16r00F0 
       "16r00D1"    16r00D0 
       "16r00D2"    16r00CA 
       "16r00D3"    16r00CB
       "16r00D4"    16r00C8 
       "16r00D5"    16r0131 
       "16r00D6"    16r00CD 
       "16r00D7"    16r00CE 
       "16r00D8"    16r00CF
       "16r00D9"    16r2518 " BOX DRAWINGS LIGHT UP AND LEFT " 
       "16r00DA"    16r250C " BOX DRAWINGS LIGHT DOWN AND RIGHT " 
       "16r00DB"    16r2588 " FULL BLOCK " 
       "16r00DC"    16r2584 " LOWER HALF BLOCK " 
       "16r00DD"    16r00A6 
       "16r00DE"    16r00CC 
       "16r00DF"    16r2580 " UPPER HALF BLOCK " 

       "16r00E0"    16r00D3
       "16r00E1"    16r00DF " LATIN SMALL LETTER SHARP S (German) " 
       "16r00E2"    16r00D4
       "16r00E3"    16r00D2
       "16r00E4"    16r00F5
       "16r00E5"    16r00D5
       "16r00E6"    16r00B5 " MICRO SIGN " 
       "16r00E7"    16r00Fe
       "16r00E8"    16r00DE
       "16r00E9"    16r00DA
       "16r00EA"    16r00DB
       "16r00EB"    16r00D9
       "16r00EC"    16r00FD
       "16r00ED"    16r00DD 
       "16r00EE"    16r00AF
       "16r00EF"    16r00B4

       "16r00F0"    16r00AD
       "16r00F1"    16r00B1 " PLUS-MINUS SIGN " 
       "16r00F2"    16r2017
       "16r00F3"    16r00BE
       "16r00F4"    16r00B6
       "16r00F5"    16r00A7
       "16r00F6"    16r00F7 " DIVISION SIGN " 
       "16r00F7"    16r00B8
       "16r00F8"    16r00B0 " DEGREE SIGN " 
       "16r00F9"    16r00A8 
       "16r00FA"    16r00B7
       "16r00FB"    16r00B9
       "16r00FC"    16r00B3
       "16r00FD"    16r00B2 " SUPERSCRIPT TWO " 
       "16r00FE"    16r25A0 " BLACK SQUARE " 
       "16r00FF"    16r00A0 " NO-BREAK SPACE " 
       ) at:(code - 16r7F).
!

encode:unicodeArg
    "Automagically generated by generateCode - do not modify.
     Encode from unicode into my encoding."

    |unicode "{ Class: SmallInteger }"|

    unicode := unicodeArg.
    unicode <= 16r7F ifTrue:[ ^ unicode ].
    unicode <= 16r9F ifTrue:[
        ^ self encodingError
    ].
    unicode <= 16rFF ifTrue:[
        [
            |t|
            t := #[
               "16r00A0"    16rFF " NO-BREAK SPACE " 
               "16r00A1"    16rAD " INVERTED EXCLAMATION MARK " 
               "16r00A2"    16rbd
               "16r00A3"    16r9C " POUND SIGN " 
               "16r00A4"    16rcf
               "16r00A5"    16rbe
               "16r00A6"    16rdd
               "16r00A7"    16rf5
               "16r00A8"    16rf9
               "16r00A9"    16rb8
               "16r00AA"    16rA6 " FEMININE ORDINAL INDICATOR " 
               "16r00AB"    16rAE " LEFT-POINTING DOUBLE ANGLE QUOTATION MARK " 
               "16r00AC"    16rAA " NOT SIGN " 
               "16r00AD"    16rf0
               "16r00AE"    16ra9
               "16r00AF"    16ree
               "16r00B0"    16rF8 " DEGREE SIGN " 
               "16r00B1"    16rf1
               "16r00B2"    16rFD " SUPERSCRIPT TWO " 
               "16r00B3"    16rfc
               "16r00B4"    16ref
               "16r00B5"    16rE6 " MICRO SIGN " 
               "16r00B6"    16rf4
               "16r00B7"    16rfa
               "16r00B8"    16rf7
               "16r00B9"    16rfb
               "16r00BA"    16rA7 " MASCULINE ORDINAL INDICATOR " 
               "16r00BB"    16rAF " RIGHT-POINTING DOUBLE ANGLE QUOTATION MARK " 
               "16r00BC"    16rAC " VULGAR FRACTION ONE QUARTER " 
               "16r00BD"    16rAB " VULGAR FRACTION ONE HALF " 
               "16r00BE"    16rf3
               "16r00BF"    16rA8 " INVERTED QUESTION MARK " 
               "16r00C0"    16rb7
               "16r00C1"    16rb5
               "16r00C2"    16rb6
               "16r00C3"    16rc7
               "16r00C4"    16r8E " LATIN CAPITAL LETTER A WITH DIAERESIS " 
               "16r00C5"    16r8F " LATIN CAPITAL LETTER A WITH RING ABOVE " 
               "16r00C6"    16r92 " LATIN CAPITAL LETTER AE " 
               "16r00C7"    16r80 " LATIN CAPITAL LETTER C WITH CEDILLA " 
               "16r00C8"    16rd4
               "16r00C9"    16r90 " LATIN CAPITAL LETTER E WITH ACUTE " 
               "16r00CA"    16rd2
               "16r00CB"    16rd3
               "16r00CC"    16rde
               "16r00CD"    16rd6
               "16r00CE"    16rd7
               "16r00CF"    16rd8
               "16r00D0"    16rd1
               "16r00D1"    16rA5 " LATIN CAPITAL LETTER N WITH TILDE " 
               "16r00D2"    16re3
               "16r00D3"    16re0
               "16r00D4"    16re2
               "16r00D5"    16re5
               "16r00D6"    16r99 " LATIN CAPITAL LETTER O WITH DIAERESIS " 
               "16r00D7"    16r9e
               "16r00D8"    16r9d
               "16r00D9"    16reb
               "16r00DA"    16re9
               "16r00DB"    16rea
               "16r00DC"    16r9A " LATIN CAPITAL LETTER U WITH DIAERESIS " 
               "16r00DD"    16red
               "16r00DE"    16re8
               "16r00DF"    16rE1 " LATIN SMALL LETTER SHARP S (German) " 
               "16r00E0"    16r85 " LATIN SMALL LETTER A WITH GRAVE " 
               "16r00E1"    16rA0 " LATIN SMALL LETTER A WITH ACUTE " 
               "16r00E2"    16r83 " LATIN SMALL LETTER A WITH CIRCUMFLEX " 
               "16r00E3"    16rc6
               "16r00E4"    16r84 " LATIN SMALL LETTER A WITH DIAERESIS " 
               "16r00E5"    16r86 " LATIN SMALL LETTER A WITH RING ABOVE " 
               "16r00E6"    16r91 " LATIN SMALL LETTER AE " 
               "16r00E7"    16r87 " LATIN SMALL LETTER C WITH CEDILLA " 
               "16r00E8"    16r8A " LATIN SMALL LETTER E WITH GRAVE " 
               "16r00E9"    16r82 " LATIN SMALL LETTER E WITH ACUTE " 
               "16r00EA"    16r88 " LATIN SMALL LETTER E WITH CIRCUMFLEX " 
               "16r00EB"    16r89 " LATIN SMALL LETTER E WITH DIAERESIS " 
               "16r00EC"    16r8D " LATIN SMALL LETTER I WITH GRAVE " 
               "16r00ED"    16rA1 " LATIN SMALL LETTER I WITH ACUTE " 
               "16r00EE"    16r8C " LATIN SMALL LETTER I WITH CIRCUMFLEX " 
               "16r00EF"    16r8B " LATIN SMALL LETTER I WITH DIAERESIS " 
               "16r00F0"    16rd0
               "16r00F1"    16rA4 " LATIN SMALL LETTER N WITH TILDE " 
               "16r00F2"    16r95 " LATIN SMALL LETTER O WITH GRAVE " 
               "16r00F3"    16rA2 " LATIN SMALL LETTER O WITH ACUTE " 
               "16r00F4"    16r93 " LATIN SMALL LETTER O WITH CIRCUMFLEX " 
               "16r00F5"    16re4
               "16r00F6"    16r94 " LATIN SMALL LETTER O WITH DIAERESIS " 
               "16r00F7"    16rF6 " DIVISION SIGN " 
               "16r00F8"    16r9B 
               "16r00F9"    16r97 " LATIN SMALL LETTER U WITH GRAVE " 
               "16r00FA"    16rA3 " LATIN SMALL LETTER U WITH ACUTE " 
               "16r00FB"    16r96 " LATIN SMALL LETTER U WITH CIRCUMFLEX " 
               "16r00FC"    16r81 " LATIN SMALL LETTER U WITH DIAERESIS " 
               "16r00FD"    16rec
               "16r00FE"    16re7
               "16r00FF"    16r98 " LATIN SMALL LETTER Y WITH DIAERESIS " 
               ] at:(unicode - 16r9F).
            t == 0 ifFalse:[^ t].
            ^ self encodingError
        ] value.
    ].
    unicode <= 16r24FF ifTrue:[
        unicode == 16r2017 ifTrue:[ ^ 16rf2 ].
        ^ self encodingError
    ].
    unicode <= 16r25A0 ifTrue:[
        |t|
        t := #[
           "16r2500"     16rC4 " BOX DRAWINGS LIGHT HORIZONTAL " 
           "16r2501"    16r00 " invalid " 
           "16r2502"     16rB3 " BOX DRAWINGS LIGHT VERTICAL " 
           "16r2503"    16r00 " invalid " 
           "16r2504"    16r00 " invalid " 
           "16r2505"    16r00 " invalid " 
           "16r2506"    16r00 " invalid " 
           "16r2507"    16r00 " invalid " 
           "16r2508"    16r00 " invalid " 
           "16r2509"    16r00 " invalid " 
           "16r250A"    16r00 " invalid " 
           "16r250B"    16r00 " invalid " 
           "16r250C"     16rDA " BOX DRAWINGS LIGHT DOWN AND RIGHT " 
           "16r250D"    16r00 " invalid " 
           "16r250E"    16r00 " invalid " 
           "16r250F"    16r00 " invalid " 
           "16r2510"     16rBF " BOX DRAWINGS LIGHT DOWN AND LEFT " 
           "16r2511"    16r00 " invalid " 
           "16r2512"    16r00 " invalid " 
           "16r2513"    16r00 " invalid " 
           "16r2514"     16rC0 " BOX DRAWINGS LIGHT UP AND RIGHT " 
           "16r2515"    16r00 " invalid " 
           "16r2516"    16r00 " invalid " 
           "16r2517"    16r00 " invalid " 
           "16r2518"     16rD9 " BOX DRAWINGS LIGHT UP AND LEFT " 
           "16r2519"    16r00 " invalid " 
           "16r251A"    16r00 " invalid " 
           "16r251B"    16r00 " invalid " 
           "16r251C"     16rC3 " BOX DRAWINGS LIGHT VERTICAL AND RIGHT " 
           "16r251D"    16r00 " invalid " 
           "16r251E"    16r00 " invalid " 
           "16r251F"    16r00 " invalid " 
           "16r2520"    16r00 " invalid " 
           "16r2521"    16r00 " invalid " 
           "16r2522"    16r00 " invalid " 
           "16r2523"    16r00 " invalid " 
           "16r2524"     16rB4 " BOX DRAWINGS LIGHT VERTICAL AND LEFT " 
           "16r2525"    16r00 " invalid " 
           "16r2526"    16r00 " invalid " 
           "16r2527"    16r00 " invalid " 
           "16r2528"    16r00 " invalid " 
           "16r2529"    16r00 " invalid " 
           "16r252A"    16r00 " invalid " 
           "16r252B"    16r00 " invalid " 
           "16r252C"     16rC2 " BOX DRAWINGS LIGHT DOWN AND HORIZONTAL " 
           "16r252D"    16r00 " invalid " 
           "16r252E"    16r00 " invalid " 
           "16r252F"    16r00 " invalid " 
           "16r2530"    16r00 " invalid " 
           "16r2531"    16r00 " invalid " 
           "16r2532"    16r00 " invalid " 
           "16r2533"    16r00 " invalid " 
           "16r2534"     16rC1 " BOX DRAWINGS LIGHT UP AND HORIZONTAL " 
           "16r2535"    16r00 " invalid " 
           "16r2536"    16r00 " invalid " 
           "16r2537"    16r00 " invalid " 
           "16r2538"    16r00 " invalid " 
           "16r2539"    16r00 " invalid " 
           "16r253A"    16r00 " invalid " 
           "16r253B"    16r00 " invalid " 
           "16r253C"     16rC5 " BOX DRAWINGS LIGHT VERTICAL AND HORIZONTAL " 
           "16r253D"    16r00 " invalid " 
           "16r253E"    16r00 " invalid " 
           "16r253F"    16r00 " invalid " 
           "16r2540"    16r00 " invalid " 
           "16r2541"    16r00 " invalid " 
           "16r2542"    16r00 " invalid " 
           "16r2543"    16r00 " invalid " 
           "16r2544"    16r00 " invalid " 
           "16r2545"    16r00 " invalid " 
           "16r2546"    16r00 " invalid " 
           "16r2547"    16r00 " invalid " 
           "16r2548"    16r00 " invalid " 
           "16r2549"    16r00 " invalid " 
           "16r254A"    16r00 " invalid " 
           "16r254B"    16r00 " invalid " 
           "16r254C"    16r00 " invalid " 
           "16r254D"    16r00 " invalid " 
           "16r254E"    16r00 " invalid " 
           "16r254F"    16r00 " invalid " 
           "16r2550"     16rCD " BOX DRAWINGS DOUBLE HORIZONTAL " 
           "16r2551"     16rBA " BOX DRAWINGS DOUBLE VERTICAL " 
           "16r2552"    16r00 " invalid " 
           "16r2553"    16r00 " invalid " 
           "16r2554"     16rC9 " BOX DRAWINGS DOUBLE DOWN AND RIGHT " 
           "16r2555"    16r00 " invalid " 
           "16r2556"    16r00 " invalid " 
           "16r2557"     16rBB " BOX DRAWINGS DOUBLE DOWN AND LEFT " 
           "16r2558"    16r00 " invalid " 
           "16r2559"    16r00 " invalid " 
           "16r255A"     16rC8 " BOX DRAWINGS DOUBLE UP AND RIGHT " 
           "16r255B"    16r00 " invalid " 
           "16r255C"    16r00 " invalid " 
           "16r255D"     16rBC " BOX DRAWINGS DOUBLE UP AND LEFT " 
           "16r255E"    16r00 " invalid " 
           "16r255F"    16r00 " invalid "  
           "16r2560"     16rCC " BOX DRAWINGS DOUBLE VERTICAL AND RIGHT " 
           "16r2561"    16r00 " invalid "
           "16r2562"    16r00 " invalid "
           "16r2563"     16rB9 " BOX DRAWINGS DOUBLE VERTICAL AND LEFT " 
           "16r2564"    16r00 " invalid "
           "16r2565"    16r00 " invalid "
           "16r2566"     16rCB " BOX DRAWINGS DOUBLE DOWN AND HORIZONTAL " 
           "16r2567"    16r00 " invalid "
           "16r2568"    16r00 " invalid "
           "16r2569"     16rCA " BOX DRAWINGS DOUBLE UP AND HORIZONTAL " 
           "16r256A"    16r00 " invalid "
           "16r256B"    16r00 " invalid "
           "16r256C"     16rCE " BOX DRAWINGS DOUBLE VERTICAL AND HORIZONTAL " 
           "16r256D"    16r00 " invalid " 
           "16r256E"    16r00 " invalid " 
           "16r256F"    16r00 " invalid " 
           "16r2570"    16r00 " invalid " 
           "16r2571"    16r00 " invalid " 
           "16r2572"    16r00 " invalid " 
           "16r2573"    16r00 " invalid " 
           "16r2574"    16r00 " invalid " 
           "16r2575"    16r00 " invalid " 
           "16r2576"    16r00 " invalid " 
           "16r2577"    16r00 " invalid " 
           "16r2578"    16r00 " invalid " 
           "16r2579"    16r00 " invalid " 
           "16r257A"    16r00 " invalid " 
           "16r257B"    16r00 " invalid " 
           "16r257C"    16r00 " invalid " 
           "16r257D"    16r00 " invalid " 
           "16r257E"    16r00 " invalid " 
           "16r257F"    16r00 " invalid " 
           "16r2580"     16rDF " UPPER HALF BLOCK " 
           "16r2581"    16r00 " invalid " 
           "16r2582"    16r00 " invalid " 
           "16r2583"    16r00 " invalid " 
           "16r2584"     16rDC " LOWER HALF BLOCK " 
           "16r2585"    16r00 " invalid " 
           "16r2586"    16r00 " invalid " 
           "16r2587"    16r00 " invalid " 
           "16r2588"     16rDB " FULL BLOCK " 
           "16r2589"    16r00 " invalid " 
           "16r258A"    16r00 " invalid " 
           "16r258B"    16r00 " invalid " 
           "16r258C"    16r00 " invalid "
           "16r258D"    16r00 " invalid " 
           "16r258E"    16r00 " invalid " 
           "16r258F"    16r00 " invalid " 
           "16r2590"    16r00 " invalid "
           "16r2591"     16rB0 " LIGHT SHADE " 
           "16r2592"     16rB1 " MEDIUM SHADE " 
           "16r2593"     16rB2 " DARK SHADE " 
           "16r2594"    16r00 " invalid " 
           "16r2595"    16r00 " invalid " 
           "16r2596"    16r00 " invalid " 
           "16r2597"    16r00 " invalid " 
           "16r2598"    16r00 " invalid " 
           "16r2599"    16r00 " invalid " 
           "16r259A"    16r00 " invalid " 
           "16r259B"    16r00 " invalid " 
           "16r259C"    16r00 " invalid " 
           "16r259D"    16r00 " invalid " 
           "16r259E"    16r00 " invalid " 
           "16r259F"    16r00 " invalid " 
           "16r25A0"     16rFE " BLACK SQUARE " 
           ] at:(unicode - 16r24FF).
        t == 0 ifFalse:[^ t].
        ^ self encodingError
    ] .
! !

!CP850 class methodsFor:'documentation'!

version_CVS
    ^ '$Header$'
! !

